<ion-view view-title="{{vm.cname}}" hide-back-button="true">
    <ion-nav-buttons side="left">
        <!--suppress HtmlUnknownAnchorTarget, HtmlUnknownAnchorTarget -->
        <a class="button button-icon"
           nav-direction="back"
           href="#/chats"
           ui-sref="tab.chats"
           >
           Chats
        </a>
    </ion-nav-buttons>
	<ion-content class="chat padding-vertical" delegate-handle="chatScroll">
		<div class="message-list">
			<div ng-repeat="message in vm.messages track by $index" class="message-wrapper">
				<div class="message"
					 ng-class="message.jid === vm.jid ? 'message-other' : 'message-mine'">
					<div class="message-text">{{message.body}}</div>
					<span class="message-timestamp">{{message.timestamp | date: 'HH:mm'}}</span>
				</div>
			</div>
		</div>
	</ion-content>
	
	<ion-footer-bar keyboard-attach class="bar-royal item-input-inset">
		<label class="item-input-wrapper">
      		<input ng-model="vm.messageText"
              	   dir="auto"
              	   type="text"/>
    	</label>
		<div ng-if="vm.messageText.length > 0" class="text-center">
      		<span ng-click="vm.sendMessage()"
			  	  class="button button-icon icon"
				  ng-class="vm.platform == 'android' ? 'ion-android-send' : 'ion-ios-paperplane'">
				  <!--<i class="icon" ng-class="vm.platform == 'android' ? 'ion-android-send' : 'ion-ios-paperplane'"></i>-->
			</span>
    	</div>
	
	</ion-footer-bar>
</ion-view>